/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc artifacts\lightsaberofthesithlord.cs
Lines of code: 40
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class lightsaberofthesithlord : DoubleBladedStaff
	{
		public override WeaponAbility PrimaryAbility{ get{ return null; } }
		public override WeaponAbility SecondaryAbility{ get{ return null; } }	
	
		[Constructable]
		public lightsaberofthesithlord()
		{
			Name = "Lightsaber of the Sith Lord";
            Hue = 0x27;
			LootType = LootType.Blessed;
		
			Weight = 5.0;
			Attributes.SpellChanneling = 1;	
			WeaponAttributes.HitLightning = 100;
			WeaponAttributes.UseBestSkill = 1;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=50;
			AosElementDamages.Chaos=50;
		}
		


		public lightsaberofthesithlord( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
      	}
	}
}